OpenZWave::HidController Class Reference

`#include <HidController.h>`

Inheritance diagram for OpenZWave::HidController:

## Public Member Functions

| HidController ()
virtual | ~HidController ()
bool | SetVendorId (uint32 const _vendorId)
bool | SetProductId (uint32 const _productId)
bool | SetSerialNumber (string const &_serialNumber)
bool | Open (string const &_hidControllerName)
bool | Close ()
uint32 | Write (uint8 *_buffer, uint32 _length)
| HidController ()
virtual | ~HidController ()
bool | SetVendorId (uint32 const _vendorId)
bool | SetProductId (uint32 const _productId)
bool | SetSerialNumber (string const &_serialNumber)
bool | Open (string const &_hidControllerName)
bool | Close ()
uint32 | Write (uint8 *_buffer, uint32 _length)
Public Member Functions inherited from OpenZWave::Controller
| Controller ()
virtual | ~Controller ()
void | PlayInitSequence (Driver *_driver)
uint32 | Read (uint8 *_buffer, uint32 _length)
Public Member Functions inherited from OpenZWave::Stream
| Stream (uint32 _bufferSize)
void | SetSignalThreshold (uint32 _size)
bool | Get (uint8 *_buffer, uint32 _size)
bool | Put (uint8 *_buffer, uint32 _size)
uint32 | GetDataSize () const
void | Purge ()
Public Member Functions inherited from OpenZWave::Wait
void | AddWatcher (pfnWaitNotification_t _callback, void *_context)
void | RemoveWatcher (pfnWaitNotification_t _callback, void *_context)
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members

Public Types inherited from OpenZWave::Wait
enum | { Timeout_Immediate = 0, Timeout_Infinite = -1 }
typedef void(* | pfnWaitNotification_t) (void *_context)
Static Public Member Functions inherited from OpenZWave::Wait
static int32 | Single (Wait *_object, int32 _timeout=-1)
static int32 | Multiple (Wait **_objects, uint32 _numObjects, int32 _timeout=-1)
Protected Member Functions inherited from OpenZWave::Stream
void | LogData (uint8 *_buffer, uint32 _size, const string &_function)
virtual bool | IsSignalled ()
| ~Stream ()
Protected Member Functions inherited from OpenZWave::Wait
| Wait ()
virtual | ~Wait ()
void | Notify ()
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()

## Constructor & Destructor Documentation

## HidController() [1/2]

HidController::HidController | ( |  | ) |

Constructor. Creates an object that represents a HID port.

## ~HidController() [1/2]

HidController::~HidController | ( |  | ) |

virtual

Destructor. Destroys the HID port object.

## HidController() [2/2]

OpenZWave::HidController::HidController | ( |  | ) |

Constructor. Creates an object that represents a HID port.

## ~HidController() [2/2]

virtual OpenZWave::HidController::~HidController | ( |  | ) |

virtual

Destructor. Destroys the HID port object.

## Member Function Documentation

## Close() [1/2]

bool OpenZWave::HidController::Close | ( |  | ) |

virtual

Close a HID port. Closes the HID port.

Returns
  True if the port was closed successfully, or false if the port was already closed, or an error occurred.

See also
  Open

Implements OpenZWave::Controller.

## Close() [2/2]

bool HidController::Close | ( |  | ) |

virtual

Close a HID port. Closes the HID port.

Returns
  True if the port was closed successfully, or false if the port was already closed, or an error occurred.

See also
  Open

Implements OpenZWave::Controller.

## Open() [1/2]

bool OpenZWave::HidController::Open | ( | string const & | _hidControllerName | ) |

virtual

Open a HID port. Attempts to open a HID port and initialize it with the specified paramters.

Parameters

  _HidControllerName | The name of the port to open. For example, ttyS1 on Linux, or \. in Windows.

Returns
  True if the port was opened and configured successfully.

See also
  Close, Read, Write

Implements OpenZWave::Controller.

## Open() [2/2]

bool HidController::Open | ( | string const & | _hidControllerName | ) |

virtual

Open a HID port. Attempts to open a HID port and initialize it with the specified parameters.

Parameters

  _HidControllerName | The name of the port to open. For example, ttyS1 on Linux, or \. in Windows.

Returns
  True if the port was opened and configured successfully.

See also
  Close, Read, Write

Implements OpenZWave::Controller.

## SetProductId() [1/2]

bool OpenZWave::HidController::SetProductId | ( | uint32 const | _productId | ) |

Set the USB product ID search value. The HID port must be closed for the setting to be accepted.

Parameters

  _parity | Product ID value to match when enumerating USB HID devices.

Returns
  True if the product ID value was accepted.

See also
  Open, Close

## SetProductId() [2/2]

bool HidController::SetProductId | ( | uint32 const | _productId | ) |

Set the USB product ID search value. The HID port must be closed for the setting to be accepted.

Parameters

  _parity | Product ID value to match when enumerating USB HID devices.

Returns
  True if the product ID value was accepted.

See also
  Open, Close

## SetSerialNumber() [1/2]

bool OpenZWave::HidController::SetSerialNumber | ( | string const & | _serialNumber | ) |

Set the USB serial number search value. The HID port must be closed for the setting to be accepted.

Parameters

  _parity | Serial number string to match when enumerating USB HID devices. If empty, any serial number will be accepted.

Returns
  True if the serial number value was accepted.

See also
  Open, Close

## SetSerialNumber() [2/2]

bool HidController::SetSerialNumber | ( | string const & | _serialNumber | ) |

Set the USB serial number search value. The HID port must be closed for the setting to be accepted.

Parameters

  _parity | Serial number string to match when enumerating USB HID devices. If empty, any serial number will be accepted.

Returns
  True if the serial number value was accepted.

See also
  Open, Close

## SetVendorId() [1/2]

bool OpenZWave::HidController::SetVendorId | ( | uint32 const | _vendorId | ) |

Set the USB vendor ID search value. The HID port must be closed for the setting to be accepted.

Parameters

  _baud | Vendor ID value to match when enumerating USB HID devices.

Returns
  True if the vendor ID value was accepted.

See also
  Open, Close

## SetVendorId() [2/2]

bool HidController::SetVendorId | ( | uint32 const | _vendorId | ) |

Set the USB vendor ID search value. The HID port must be closed for the setting to be accepted.

Parameters

  _baud | Vendor ID value to match when enumerating USB HID devices.

Returns
  True if the vendor ID value was accepted.

See also
  Open, Close

## Write() [1/2]

uint32 OpenZWave::HidController::Write | ( | uint8 * | _buffer,
|  | uint32 | _length
| ) |  |

virtual

Write to a HID port. Attempts to write data to an open HID port.

Parameters

  _buffer | Pointer to a block of memory containing the data to be written.
  _length | Length in bytes of the data.

Returns
  The number of bytes written.

See also
  Read, Open, Close

Implements OpenZWave::Controller.

## Write() [2/2]

uint32 HidController::Write | ( | uint8 * | _buffer,
|  | uint32 | _length
| ) |  |

virtual

Write to a HID port. Attempts to write data to an open HID port.

Parameters

  _buffer | Pointer to a block of memory containing the data to be written.
  _length | Length in bytes of the data.

Returns
  The number of bytes written.

See also
  Read, Open, Close

Implements OpenZWave::Controller.

The documentation for this class was generated from the following files:

- HidController.h
- HidControllerWinRT.h
- HidControllerWinRT.cpp